summaryrefslogtreecommitdiffstats
path: root/build
diff options
context:
space:
mode:
Diffstat (limited to 'build')
-rw-r--r--build/network-environment.yaml2
-rw-r--r--build/nics-template.yaml.jinja22
-rwxr-xr-xbuild/overcloud-full.sh31
3 files changed, 33 insertions, 2 deletions
diff --git a/build/network-environment.yaml b/build/network-environment.yaml
index baf8b187..f1503feb 100644
--- a/build/network-environment.yaml
+++ b/build/network-environment.yaml
@@ -41,7 +41,7 @@ resource_registry:
parameter_defaults:
- #NeutronExternalNetworkBridge: "''"
+ NeutronExternalNetworkBridge: 'br-ex'
ControlPlaneSubnetCidr: "24"
ControlPlaneDefaultRoute: 192.0.2.1
ExternalNetCidr: 192.168.37.0/24
diff --git a/build/nics-template.yaml.jinja2 b/build/nics-template.yaml.jinja2
index 53290e4f..0680a26f 100644
--- a/build/nics-template.yaml.jinja2
+++ b/build/nics-template.yaml.jinja2
@@ -85,7 +85,7 @@ resources:
os_net_config:
network_config:
-
- {%- if vlans['private_network'] is number or vlans['storage_network'] is number or vlans['api_network'] is number %}
+ {%- if vlans['private_network'] is number or vlans['storage_network'] is number or vlans['api_network'] is number or vlans['public_network'] is number %}
type: ovs_bridge
name: {get_input: bridge_name}
members:
diff --git a/build/overcloud-full.sh b/build/overcloud-full.sh
index 01f40269..675343db 100755
--- a/build/overcloud-full.sh
+++ b/build/overcloud-full.sh
@@ -58,6 +58,27 @@ pushd puppet-congress > /dev/null
git archive --format=tar.gz --prefix=congress/ origin/stable/mitaka > ../puppet-congress.tar.gz
popd > /dev/null
+# create fd.io yum repo file
+cat > /tmp/fdio-master.repo << EOF
+[fdio-master]
+name=fd.io master branch latest merge
+baseurl=https://nexus.fd.io/content/repositories/fd.io.master.centos7/
+enabled=1
+gpgcheck=0
+EOF
+
+# tar up the fd.io module
+rm -rf puppet-fdio
+git clone https://github.com/radez/puppet-fdio
+pushd puppet-fdio > /dev/null
+git archive --format=tar.gz --prefix=fdio/ HEAD > ../puppet-fdio.tar.gz
+popd > /dev/null
+
+# tar up vsperf
+rm -rf vsperf vsperf.tar.gz
+git clone https://gerrit.opnfv.org/gerrit/vswitchperf vsperf
+tar czf vsperf.tar.gz vsperf
+
# installing forked opnfv-puppet-tripleo
# enable connection tracking for protocal sctp
# upload dpdk rpms but do not install
@@ -65,8 +86,12 @@ popd > /dev/null
# install the congress rpms
# upload and explode the congress puppet module
# install doctor driver ## Can be removed in Newton
+# install fd.io yum repo and packages
+# upload puppet fdio
+# git clone vsperf into the overcloud image
LIBGUESTFS_BACKEND=direct virt-customize \
--upload ../opnfv-puppet-tripleo.tar.gz:/etc/puppet/modules \
+ --run-command "if ! rpm -qa | grep python-redis; then yum install -y python-redis; fi" \
--run-command "sed -i 's/^#UseDNS.*$/UseDNS no/' /etc/ssh/sshd_config" \
--run-command "sed -i 's/^GSSAPIAuthentication.*$/GSSAPIAuthentication no/' /etc/ssh/sshd_config" \
--run-command "cd /etc/puppet/modules && rm -rf tripleo && tar xzf opnfv-puppet-tripleo.tar.gz" \
@@ -84,6 +109,12 @@ LIBGUESTFS_BACKEND=direct virt-customize \
--run-command "cd /etc/puppet/modules/ && tar xzf puppet-congress.tar.gz" \
--run-command "cd /usr/lib/python2.7/site-packages/congress/datasources && curl -O $doctor_driver" \
--run-command "sed -i \"s/'--detailed-exitcodes',/'--detailed-exitcodes','-l','syslog','-l','console',/g\" /var/lib/heat-config/hooks/puppet" \
+ --upload /tmp/fdio-master.repo:/etc/yum.repos.d/fdio-master.repo \
+ --install unzip,vpp,honeycomb \
+ --upload puppet-fdio.tar.gz:/etc/puppet/modules \
+ --run-command "cd /etc/puppet/modules && tar xzf puppet-fdio.tar.gz" \
+ --upload vsperf.tar.gz:/var/opt \
+ --run-command "cd /var/opt && tar xzf vsperf.tar.gz" \
-a overcloud-full_build.qcow2
mv -f overcloud-full_build.qcow2 overcloud-full.qcow2